class Logger {
  constructor(name = 'Application') {
    this.name = name;
  }

  log(message) {
    console.log(`[${this.name}] ${message}`);
  }

  info(message) {
    console.info(`[${this.name}] INFO: ${message}`);
  }

  warn(message) {
    console.warn(`[${this.name}] WARN: ${message}`);
  }

  error(message) {
    console.error(`[${this.name}] ERROR: ${message}`);
  }
}

module.exports = { Logger };