const site1 = require('./sites/site1.js');
module.exports = {
  // 全局配置
  global: {
    maxConcurrency: 3,      // 最大并发网站数
    requestTimeout: 15000,   // 请求超时时间(ms)
    retryTimes: 3,          // 重试次数
    minRequestInterval: 1000 // 最小请求间隔(ms)
  },

  // 各网站配置
  sites: [site1],

  // API配置
  api: {
    baseUrl: process.env.API_BASE_URL || 'http://192.168.1.19:8989',
    endpoints: {
      batchSave: '/api/v1/industry'
    }
  }
};